summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sci-visualization')
-rw-r--r--sci-visualization/gle/Manifest5
-rw-r--r--sci-visualization/gle/gle-4.2.5.ebuild103
2 files changed, 106 insertions, 2 deletions
diff --git a/sci-visualization/gle/Manifest b/sci-visualization/gle/Manifest
index 0db3aaca70a..31e6f27ecd0 100644
--- a/sci-visualization/gle/Manifest
+++ b/sci-visualization/gle/Manifest
@@ -1,4 +1,5 @@
-DIST GLEusersguide.pdf 2244780 SHA256 02c13fe038f8b4b7726ac3e6a74410e299f50cdccb2b040d7ed1fbc99b9cfbef
+DIST GLEusersguide.pdf 2244780 SHA256 02c13fe038f8b4b7726ac3e6a74410e299f50cdccb2b040d7ed1fbc99b9cfbef SHA512 cce76a83d09a68d449f4e3717e9dfcaa6c0866a1c36eb58f7180c2602f8a780804278804fee555ae6360bcf8b10b34c2124408975ea49824ab5d8ae23685fc71 WHIRLPOOL 702e9926b0cfca7932279ba5cf459a5c4bf66c40ddad2f068dfec6aad891185a445ca3a830fa0f18371c36261f407aa78c74e7d4a7151ecf68d39d21675a6691
DIST gle-graphics-4.2.4bf-src.tar.gz 2321414 SHA256 daa6881840b25bcce40fd12c0215ed13b4dfa4a91b3eb665123c890d7238747d SHA512 b7f42cdb09b0d52056997779284c9f02f0bb3049d9aaf2058fe08306568fc963ce845faa4773a16d2a84d937ecbd55f682ea9f6f553fde87d3f1d0d2891207d2 WHIRLPOOL 08d97c82b8b7078113d045f5d363fc6dacf5d78bd64d11d34c42ed19bfe9eb2da283932bc9fe1f8ee6091d4221712b725d06f2797c7d0b1e670c650fc91afa33
DIST gle-graphics-4.2.4cf-src.tar.gz 2321647 SHA256 21715f2943ca528ec94a8e129175693afc3b59bb03f92540a2150ffe72ab47ef SHA512 961205fcb763ef0fd0b59cfffd144440ea7dea8a54a19e79caa97712245a51ceaaeda5b92ce2571852cec14357af696861bf9cd588aa08622cc8f1f5ebf3959a WHIRLPOOL 11465d836e8763fdc286f38ea9761d806174469b0c52e2f3ce3dacbbb1b5d587f1bf0aade3668b38c2b99668066e372782561ed4b1a2dbaf689095c149a8fcbe
-DIST gle-manual-4.2.2.pdf 2238766 SHA256 fbc4ba2613882d2d4ae3f8484c77aa27a257fc1b0ec02a46085c3651a2ace58e
+DIST gle-graphics-4.2.5f-src.tar.gz 2330270 SHA256 6cd6b1d82cbf2c7a0b0affbd67c0ec32460ef6a13f6b41dfdd6f308fd651f102 SHA512 d459b24577c9c3f8825c368f864532c97d0a37c94018276a60c941d17dce0e55fe738f7eda3227a47848f2fb32fea1dcec29d9751a5be92cde4d8d38a2eeb0f5 WHIRLPOOL 6d1cc02f65bfb39fda3ccbc7b56ae27bb5a15be428b171903abb5de8d6bbd089e7338e013708c0c926da4b5cf053c157103bb763e448f73e10d3d6281aed6744
+DIST gle-manual-4.2.2.pdf 2238766 SHA256 fbc4ba2613882d2d4ae3f8484c77aa27a257fc1b0ec02a46085c3651a2ace58e SHA512 0eaa10f1f13c2f65145cbeb8f713b6de787dcc7dd3c3a30e27514b1cc8e74007d38adc12fc7666d665677354c7c14db521dea05126614def4ec30f3429cd1a41 WHIRLPOOL 55bdb65ca95c3fcf183205c5bb59ca43e74bcd8751fce90aa2dd9cc0aedab9abfbfc986539fcce0b1cf559c68eb3a08d4747bc746509125ec6e15d913bee9482
diff --git a/sci-visualization/gle/gle-4.2.5.ebuild b/sci-visualization/gle/gle-4.2.5.ebuild
new file mode 100644
index 00000000000..2354c47ec49
--- /dev/null
+++ b/sci-visualization/gle/gle-4.2.5.ebuild
@@ -0,0 +1,103 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils elisp-common qt4-r2 flag-o-matic autotools
+
+DESCRIPTION="Graphics Layout Engine"
+HOMEPAGE="http://glx.sourceforge.net/"
+MY_P=${PN}-graphics-${PV}
+MAN_V=4.2.2
+SRC_URI="mirror://sourceforge/glx/${MY_P}f-src.tar.gz"
+SLOT="0"
+LICENSE="BSD-2 emacs? ( GPL-2 ) qt4? ( GPL-2 )"
+IUSE="X qt4 jpeg png tiff doc emacs vim-syntax"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+DEPEND="
+ sys-libs/ncurses
+ X? ( x11-libs/libX11 )
+ qt4? ( dev-qt/qtopengl:4 )
+ jpeg? ( virtual/jpeg:0 )
+ png? ( media-libs/libpng:0 )
+ tiff? ( media-libs/tiff:0 )
+ doc? ( dev-texlive/texlive-latexextra )
+ emacs? ( virtual/emacs )"
+
+RDEPEND="${DEPEND}
+ app-text/ghostscript-gpl
+ virtual/latex-base
+ vim-syntax? ( || ( app-editors/vim app-editors/gvim ) )"
+
+S="${WORKDIR}"/${MY_P}
+
+src_prepare() {
+ epatch "${FILESDIR}"/${PN}-4.2.4b-parallel.patch
+ eaclocal
+ eautoconf
+}
+
+src_configure() {
+ # CPPFLAGS are understood as C++ flags
+ append-cppflags ${CXXFLAGS}
+ econf \
+ --without-rpath \
+ --with-manip \
+ $(use_with qt4 qt "${EPREFIX}"/usr) \
+ $(use_with X x) \
+ $(use_with jpeg) \
+ $(use_with png) \
+ $(use_with tiff)
+}
+
+src_compile() {
+ emake
+ if use doc; then
+ emake -j1 doc
+ fi
+ if use emacs; then
+ cd contrib/editors/highlighting
+ mv ${PN}-emacs.el ${PN}-mode.el
+ elisp-compile ${PN}-mode.el || die
+ fi
+}
+
+src_install() {
+ # -jN failed to install some data files
+ emake -j1 DESTDIR="${D}" install
+ rm -rf "${ED}"/usr/share/doc/gle-graphics
+ dodoc README.txt
+
+ if use qt4; then
+ newicon src/gui/images/gle_icon.png gle.png
+ make_desktop_entry qgle GLE gle
+ newdoc src/gui/readme.txt gui_readme.txt
+ fi
+
+ if use doc; then
+ insinto /usr/share/doc/${PF}
+ doins build/doc/gle-manual.pdf
+ fi
+
+ if use emacs; then
+ elisp-install ${PN} contrib/editors/highlighting/gle-mode.{el,elc} || die
+ elisp-site-file-install "${FILESDIR}"/64gle-gentoo.el || die
+ fi
+
+ if use vim-syntax ; then
+ dodir /usr/share/vim/vimfiles/{ftplugins,indent,syntax}
+ cd contrib/editors/highlighting/vim || die
+ chmod 644 ftplugin/* indent/* syntax/*
+ insinto /usr/share/vim/vimfiles
+ doins -r ftplugin indent syntax
+ fi
+}
+
+pkg_postinst() {
+ use emacs && elisp-site-regen
+}
+
+pkg_postrm() {
+ use emacs && elisp-site-regen
+}